// <copyright file="PreviewWindow.cs" company="DotNetSide">
// Copyright (c) 2008 All Right Reserved
// </copyright>
// <author>fabio.cozzolino</author>
// <date>30/06/2008 18.09.35</date>

namespace DotNetSide.SqlScriptGenerator
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using System.Text;
    using System.Windows.Forms;

    public partial class PreviewWindow : Form
    {
        public string GeneratedSqlScript
        {
            get { return this.SqlResultTextBox.Text; }
            set 
            {
                this.SqlResultTextBox.SuspendLayout();
                this.SqlResultTextBox.Text = value;
                this.SqlResultTextBox.ResumeLayout(true);
            }
        }

        public PreviewWindow()
        {
            InitializeComponent();
        }

        private void CloseButton_Click(object sender, EventArgs e)
        {
            this.Close();
        }
   }
}